﻿using Syncfusion.SfRangeSlider.XForms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace RangeSliderSample
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        RangeViewModel viewModel;
        public MainPage()
        {
            InitializeComponent();
            viewModel = new RangeViewModel();
            this.BindingContext = viewModel;

        }

        private void rangeSlider2_ThumbTouchUp(object sender, DragThumbEventArgs e)
        {
            if (rangeSlider2.RangeStart <= rangeSlider1.RangeStart)
            {
                rangeSlider2.RangeStart = rangeSlider1.RangeStart;
            }
        }

        private void rangeSlider1_ThumbTouchUp(object sender, DragThumbEventArgs e)
        {
            if (rangeSlider2.RangeStart < rangeSlider1.RangeStart)
            {
                rangeSlider2.RangeStart = rangeSlider1.RangeStart;
            }
        }
    }
}

